KinoSearch1::Store::InvIndex(3pm)

NAME
KinoSearch1::Store::InvIndex - inverted index

SYNOPSIS
    # abstract base class

DESCRIPTION
An InvIndex is an abstract representation of an inverted index, KinoSearch1's core data structure. The archetypal implementation of an invindex, FSInvIndex, is a single directory holding a collection of files. However, to allow alternative implementations such as RAMInvIndex, i/o and file manipulation are abstracted out rather than executed directly by KinoSearch1's classes.

A "file" within an invindex might be a real file -- or it might be a ram file, or eventually a database record, etc. Similarly, "$invindex->delete_file($filename)" might delete a file from the file system, or a key-value pair from a hash, or something else.

SEE ALSO
KinoSearch1::Docs::FileFormat

COPYRIGHT
Copyright 2005-2010 Marvin Humphrey

LICENSE, DISCLAIMER, BUGS, etc.
See KinoSearch1 version 1.01.